Ptex

Macros
PtexVersion.h File Reference

Go to the source code of this file.

## Macros
#define | PtexAPIVersion 4
#define | PtexFileMajorVersion 1
#define | PtexFileMinorVersion 4
#define | PtexLibraryMajorVersion 2
#define | PtexLibraryMinorVersion 2
#define | PTEX_NAMESPACE Ptex
#define | make_version_ns_(major, minor) v##major##_##minor
#define | make_version_ns(major, minor) make_version_ns_(major,minor)
#define | PTEX_VERSION_NAMESPACE make_version_ns(PtexLibraryMajorVersion,PtexLibraryMinorVersion)
#define | PTEX_NAMESPACE_BEGIN
#define | PTEX_NAMESPACE_END }}

## Macro Definition Documentation

## ◆ make_version_ns

#define make_version_ns | ( |  | major,
|  |  | minor
| ) |  | make_version_ns_(major,minor)

Definition at line 52 of file PtexVersion.h.

## ◆ make_version_ns_

#define make_version_ns_ | ( |  | major,
|  |  | minor
| ) |  | v##major##_##minor

Definition at line 51 of file PtexVersion.h.

## ◆ PTEX_NAMESPACE

#define PTEX_NAMESPACE Ptex

Definition at line 45 of file PtexVersion.h.

## ◆ PTEX_NAMESPACE_BEGIN

#define PTEX_NAMESPACE_BEGIN

Value:
namespace PTEX_NAMESPACE { \
namespace PTEX_VERSION_NAMESPACE {} \
using namespace PTEX_VERSION_NAMESPACE; \
namespace PTEX_VERSION_NAMESPACE {
PTEX_NAMESPACE
#define PTEX_NAMESPACE
Definition: PtexVersion.h:45
PTEX_VERSION_NAMESPACE
#define PTEX_VERSION_NAMESPACE
Definition: PtexVersion.h:53

Definition at line 56 of file PtexVersion.h.

## ◆ PTEX_NAMESPACE_END

#define PTEX_NAMESPACE_END }}

Definition at line 62 of file PtexVersion.h.

## ◆ PTEX_VERSION_NAMESPACE

#define PTEX_VERSION_NAMESPACE make_version_ns(PtexLibraryMajorVersion,PtexLibraryMinorVersion)

Definition at line 53 of file PtexVersion.h.

## ◆ PtexAPIVersion

#define PtexAPIVersion 4

Definition at line 39 of file PtexVersion.h.

## ◆ PtexFileMajorVersion

#define PtexFileMajorVersion 1

Definition at line 40 of file PtexVersion.h.

Referenced by PtexWriterBase::PtexWriterBase().

## ◆ PtexFileMinorVersion

#define PtexFileMinorVersion 4

Definition at line 41 of file PtexVersion.h.

Referenced by PtexWriterBase::PtexWriterBase().

## ◆ PtexLibraryMajorVersion

#define PtexLibraryMajorVersion 2

Definition at line 42 of file PtexVersion.h.

## ◆ PtexLibraryMinorVersion

#define PtexLibraryMinorVersion 2

Definition at line 43 of file PtexVersion.h.